# EntityCircle

class EntityCircle(radius: Number, entityType: EntityType) : Circle
Content copied to clipboard

## Functions

structure
Link copied to clipboard
fun structure(filled: Boolean): Structure
Content copied to clipboard

## Properties

edgeLocations
Link copied to clipboard
val edgeLocations: HashSet<SimpleLocation2D>
Content copied to clipboard
edgeStructure
Link copied to clipboard
val edgeStructure: Structure
Content copied to clipboard
filledStructure
Link copied to clipboard
val filledStructure: Structure
Content copied to clipboard
fillLocations
Link copied to clipboard
val fillLocations: HashSet<SimpleLocation2D>
Content copied to clipboard
radius
Link copied to clipboard
val radius: Number
Content copied to clipboard